Llama 4 Scout 17B 16E Instruct

Chat Completions API
llama-4-scout-17b-16e-instruct
отMeta LlamaСоздана 5 июн. 2025 г.320K контекст
Chat Completions API

Llama 4 Scout 17B Instruct (16E) is a mixture-of-experts (MoE) language model from Meta, activating 17 billion parameters out of a total of 109B. It supports native multimodal input (text and image) and multilingual output (text and code) across 12 supported languages. Designed for assistant-style interaction and visual reasoning, Scout uses 16 experts per forward pass and features a context length of 10 million tokens, with a training corpus of ~40 trillion tokens. Built for high efficiency and local or commercial deployment, it is instruction-tuned for multilingual chat, captioning, and image understanding.

API-методы и структура запроса

Здесь собран публичный контракт интеграции модели: поддерживаемые API-методы, параметры запросов и примеры вызовов.

Chat Completions APIPOST/v1/chat/completions

Пример кода

Пример использования модели через API на Python или cURL. Замените значения-заполнители своим API-ключом и ID модели.

Базовый пример запроса. Проверьте разрешения API-ключа. Подробнее см. документацию.
curl https://api.makura.ai/v1/chat/completions \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  --data-raw '{
  "model": "llama-4-scout-17b-16e-instruct",
  "messages": [
    {
      "role": "user",
      "content": "Сколько будет 2 + 2?"
    }
  ]
}'

Параметры

Параметры, доступные в API-запросах
Frequency PenaltyLogit BiasLogprobsMax Completion TokensPresence PenaltyResponse FormatStopTemperatureTop PReasoning EffortToolsTool ChoiceParallel Tool Calls